//
//  Filter+Helpers.swift
//  Tusker
//
//  Created by Shadowfacts on 12/2/22.
//  Copyright © 2022 Shadowfacts. All rights reserved.
//

import Pachyderm

extension FilterV1.Context {
    var displayName: String {
        switch self {
        case .home:
            return "Home and lists"
        case .notifications:
            return "Notifications"
        case .public:
            return "Public timelines"
        case .thread:
            return "Conversations"
        case .account:
            return "Profiles"
        }
    }
}

extension FilterV2.Action {
    var displayName: String {
        switch self {
        case .warn:
            return "Warn"
        case .hide:
            return "Hide"
        }
    }
}
